MacOS安装odoo失败提示No module named passlib.utils



  • 具体执行结果如下,passlib模块已经安装了

    apple ~ $ /Users/apple/work/odoo/odoo/odoo-bin ; exit;
    Traceback (most recent call last):
      File "/Users/apple/work/odoo/odoo/odoo-bin", line 5, in <module>
        __import__('pkg_resources').declare_namespace('odoo.addons')
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2218, in declare_namespace
        declare_namespace(parent)
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2234, in declare_namespace
        _handle_ns(packageName, path_item)
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources/__init__.py", line 2201, in _handle_ns
        loader.load_module(packageName)
      File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/pkgutil.py", line 246, in load_module
        mod = imp.load_module(fullname, self.file, self.filename, self.etc)
      File "/Users/apple/work/odoo/odoo/odoo/__init__.py", line 60, in <module>
        import modules
      File "/Users/apple/work/odoo/odoo/odoo/modules/__init__.py", line 8, in <module>
        from . import db, graph, loading, migration, module, registry
      File "/Users/apple/work/odoo/odoo/odoo/modules/graph.py", line 13, in <module>
        import odoo.osv as osv
      File "/Users/apple/work/odoo/odoo/odoo/osv/__init__.py", line 4, in <module>
        import osv
      File "/Users/apple/work/odoo/odoo/odoo/osv/osv.py", line 4, in <module>
        from ..exceptions import except_orm
      File "/Users/apple/work/odoo/odoo/odoo/exceptions.py", line 15, in <module>
        from tools.func import frame_codeinfo
      File "/Users/apple/work/odoo/odoo/odoo/tools/__init__.py", line 8, in <module>
        from misc import *
      File "/Users/apple/work/odoo/odoo/odoo/tools/misc.py", line 16, in <module>
        import passlib.utils
    ImportError: No module named passlib.utils
    logout
    
    

  • 管理员

    那就可能是passlib的版本不对,Odoo的要求是1.6.5的,看看你的是什么版本的。


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待